/**
 * Created by mar105 on 2019-03-05.
 */

import React from 'react';
import { connect } from 'umi';
import CommonCostomTabBillComponent from '../../components/Common/CommonCostomTabBill';

function CommonCostomTabBill({ dispatch, app, content }) {
  function removePane(changePanes, currentPane) {
    dispatch({ type: 'app/removePane', payload: { changePanes, currentPane } });
  }

  const props = {
    app,
    content,
    dispatch,
    onRemovePane: removePane,
  };

  return (
    <CommonCostomTabBillComponent {...props} />
  );
}

export default connect(({ app, content }) =>
  ({ app, content }))(CommonCostomTabBill);

